#
# LunchBase 
#

from OFS import SimpleItem

__doc__ = "A LunchBase"
__version__ = '0.0.1'

class LunchBase(SimpleItem.Item):

    "Totally Simple Product"

    meta_type = 'LunchBase'

    def index_html(self):
        "display yourself to teh world"
        return '<html><body>I am a LunchBase</body></html>'

    def cost(self):
        """ calculate the cost of yourself.. """

        totalCost = 0.0
        for lic in self.LunchItems.getLunchItemContentsForLunch( self ):
            totalCost = totalCost + lic.cost

        return totalCost

def initialize(context):
    context.registerBaseClass(LunchBase)  
